<?php
if ( function_exists('register_sidebar') )
    register_sidebar(array(
        'before_widget' => '',
        'after_widget' => '',
        'before_title' => '<h3>',
        'after_title' => '</h3>',
    ));
?>
<?php
// THIS NEXT SECTION SETS THE OPTIONS MENU FOR CHANGING YOUR THEMES COLOUR SCHEME
add_action('wp_head', 'hellishsimplicity_head');

function hellishsimplicity_head() {
	$hellishsimplicity_colour = get_option('hellishsimplicity_colour');
	if ($hellishsimplicity_colour == "blue") {echo '<link rel="stylesheet" type="text/css" href="' , bloginfo('template_directory') , '/styleblue.css" />';}
	else {echo '<link rel="stylesheet" type="text/css" href="' , bloginfo('template_directory') , '/style.css" />';}
	echo '<!--[if lte IE 6]><style type="text/css">#sidebar {width:169px}</style><![endif]-->';
	}

// LOGO/TEXT DISPLAY FOR HEADER.PHP FILE
function hellishsimplicity_logodisplay() {
	$hellishsimplicity_logo = get_option('hellishsimplicity_logo');
	if ($hellishsimplicity_logo == "Text") {echo '<a href="' , bloginfo('url') , '" id="headertitle">' , bloginfo('name') , '</a>';}
	else {echo '<a href="http://ryanhellyer.net" id="logo"></a>';}
	}

// THE WORDPRESS OPTIONS MENU
add_action('admin_menu', 'show_hellishsimplicity_options');

function show_hellishsimplicity_options() {
// ADDS A NEW SUBMENU UNDER OPTIONS
add_options_page('Hellish Simplicity Options', 'Hellish Simplicity', 8, 'hellishsimplicityoptions', 'hellishsimplicity_options');
add_option('hellishsimplicity_color', 'blue');
}
function hellishsimplicity_options() { ?>

<style type="text/css">
	#options h3 { margin-bottom: -10px; }
	#options label { width: 200px; float: left; margin-right: 25px; font-weight: bold; }
	#options input { float: left; }
	#options p { clear: both; }
</style>

<div class="wrap">
	<form method="post" action="options.php" id="options">
		<?php wp_nonce_field('update-options') ?>
		<h2>Hellish Simplicity Theme</h2>
		<p>
			Here you can edit the colour scheme of your theme
		</p>
		<div style="clear:both;padding-top:5px;"></div>
		<h3>Choose theme colour</h3>
		<div style="clear:both"></div>
		<br />
		<select name="hellishsimplicity_colour">
			<option>red</option>
			<option>blue</option>
		</select>
		<br />
		<h3>Logo or Text?</h3>
		<div style="clear:both"></div>
		<br />
		<p>If you do not have a logo and/or do not want to edit the PSD provided with the theme, you
		may wish to use raw text to display as your site heading.
		<br />
		<select name="hellishsimplicity_logo">
			<option>Logo</option>
			<option>Text</option>
		</select>
		<br />
		<input type="hidden" name="action" value="update" />
		<input type="hidden" name="page_options" value="hellishsimplicity_colour,hellishsimplicity_logo" />
		<div style="clear:both;padding-top:20px;"></div>
		<p class="submit"><input type="submit" name="Submit" value="<?php _e('Update Options') ?>" /></p>

	</form>
	<div style="clear:both"></div>
</div>
<?php } ?>
